Update deprecations.

This deprecates:

* Classes that used the wrong capitalization.
* Base64 APIs, which are now available in the core libraries.
* CryptoUtils, whose functionality is now available in the core
  libraries and the convert package.

It also updates the deprecation message in already-deprecated APIs to
correspond to only mention the version in which the APIs will be
removed. The alternative APIs are mentioned in doc comments instead.

R=rnystrom@google.com

Review URL: https://codereview.chromium.org//1826543003 .
18 files changed
tree: 2fb7ef1fa7496638822c4da2ef8f757208dd3314
  1. .gitignore
  2. .status
  3. .test_config
  4. AUTHORS
  5. CHANGELOG.md
  6. CONTRIBUTING.md
  7. LICENSE
  8. README.md
  9. codereview.settings
  10. example/
  11. lib/
  12. pubspec.yaml
  13. test/
README.md

Library of cryptographic functions for Dart

A set of cryptographic functions implemented in pure Dart.

  • MD5
  • SHA1
  • SHA265
  • HMAC
  • Converting a list of bytes into a hex string
  • Converting a list of bytes into a base64-encoded string.
  • Converting a Base 64 encoded String into list of bytes.

Test status

See http://build.chromium.org/p/client.dart.packages/console

The individual builders are at:

http://build.chromium.org/p/client.dart.packages/builders/packages-windows-crypto http://build.chromium.org/p/client.dart.packages/builders/packages-linux-crypto http://build.chromium.org/p/client.dart.packages/builders/packages-mac-crypto

Disclaimer

Support for this library is given as best effort.

This library has not been reviewed or vetted by security professionals.

Features and bugs

Please file feature requests and bugs at the issue tracker.